<?php


namespace AutoAdmin\Bundle\Content\Entity\Traits;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;

trait TitleTrait
{
    #[ORM\Column(name: 'title', type: Types::STRING, length: 255)]
    #[Groups(['default'])]
    protected string $title = '';

    public function getTitle(): string
    {
        return $this->title;
    }

    public function setTitle(string $title): void
    {
        $this->title = $title;
    }
}
